
typedef struct {
	unsigned short x;
	unsigned short y;
}	BMPSIZE;

typedef struct {
	unsigned char ident[2];
	unsigned long filesize;
	unsigned long res1;
	unsigned long dataoffset;
	unsigned long headersize;
	unsigned long width;
	unsigned long height;
	unsigned short planes;
	unsigned short bits;
	unsigned long compression;
	unsigned long bmpdata;
	unsigned long hresolution;
	unsigned long vresolution;
	unsigned long colors;
	unsigned long impcolors;

}	BMPHEADER;

#define BMP_ASBMP	0
#define BMP_BW		1
#define BMP_GRAY	2
#define BMP_RGB		3

#define BMP_FILENAME	1
#define BMP_NOTFOUND	2
#define BMP_NOBMP		3
#define BMP_TOO_LARGE	4
#define BMP_COMPRESSION	5
#define BMP_COLORS		6



BMPSIZE readbmp(char *filename, unsigned char *data, unsigned char returntype, unsigned long maxsize);
int writebmp(char *filename, unsigned char *data, unsigned short width, unsigned short height, unsigned char datatype, unsigned char filetype);